## fop 0.93.dfsg.1

=== src/documentation/content/xdocs/DnI/Makefile ===
# Licensed to the Apache Software Foundation (ASF) under one or more
# contributor license agreements.  See the NOTICE file distributed with
# this work for additional information regarding copyright ownership.
# The ASF licenses this file to You under the Apache License, Version 2.0
# (the "License"); you may not use this file except in compliance with
# the License.  You may obtain a copy of the License at
# 
#      http://www.apache.org/licenses/LICENSE-2.0
# 
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.

# $Id: Makefile 426576 2006-07-28 15:44:37Z jeremias $ 

BOOK=DnI.xml
CHAPTERS=addareas.xml areatree.xml configuration.xml fonts.xml \
	foptrees.xml fotree.xml getnextbreakposs.xml overview.xml \
	preparation.xml properties.xml rendering.xml
CUSTOM_DOCBOOK_XHTML_STYLESHEET=cust-xhtml-docbook.xsl
CUSTOM_DOCBOOK_HTML_STYLESHEET=cust-html-docbook.xsl
CUSTOM_DOCBOOK_FO_STYLESHEET=cust-fo-docbook.xsl
STYLESHEETS=$(CUSTOM_DOCBOOK_XHTML_STYLESHEET) \
	$(CUSTOM_DOCBOOK_HTML_STYLESHEET) \
	$(CUSTOM_DOCBOOK_FO_STYLESHEET)
BOOKMAKER=BookMaker.java

# destinations
BUILD_DIR=../../../../../build
BOOKMAKERCLASSPATH=$(BUILD_DIR)/classes
BOOKMAKER_CLASS=$(BOOKMAKERCLASSPATH)/BookMaker.class
DNI_BUILD_DIR=$(BUILD_DIR)/site/DnI
XHTML_DIR=$(DNI_BUILD_DIR)/xhtml
HTML_DIR=$(DNI_BUILD_DIR)/html
PDF_DIR=$(DNI_BUILD_DIR)

JAVACLASSES=/usr/share/java
LOCALJAVACLASSES=/usr/local/javaclasses
FOPCLASSPATH=$(JAVACLASSES)/fop.jar:$(LOCALJAVACLASSES)/fop.jar
AVALONCLASSPATH=$(JAVACLASSES)/avalon-framework.jar:$(LOCALJAVACLASSES)/avalon-framework.jar
SAXONCLASSPATH=$(JAVACLASSES)/saxon.jar:$(LOCALJAVACLASSES)/saxon.jar
RESOLVERCLASSPATH=$(JAVACLASSES)/xml-commons-resolver.jar:$(LOCALJAVACLASSES)/xml-commons-resolver.jar
XERCESCLASSPATH=$(JAVACLASSES)/xml-apis.jar:$(JAVACLASSES)/xercesImpl.jar:$(LOCALJAVACLASSES)/xml-apis.jar:$(LOCALJAVACLASSES)/xercesImpl.jar
CLICLASSPATH=$(JAVACLASSES)/commons-cli.jar:$(LOCALJAVACLASSES)/commons-cli.jar

all: xhtml html pdf

xhtml: $(XHTML_DIR)/DnI-xhtml.xml
html: $(HTML_DIR)/DnI.html
fo: $(PDF_DIR)/DnI.fo
pdf: $(PDF_DIR)/DnI.pdf

$(XHTML_DIR)/DnI-xhtml.xml: $(BOOK) $(CHAPTERS) $(CUSTOM_DOCBOOK_XHTML_STYLESHEET) $(BOOKMAKER_CLASS)
	[ -d $(XHTML_DIR) ] || mkdir -p $(XHTML_DIR)
	java $(JAVAFLAGS) \
		-classpath $(XERCESCLASSPATH):$(SAXONCLASSPATH):$(AVALONCLASSPATH):$(RESOLVERCLASSPATH):$(CLICLASSPATH):$(BOOKMAKERCLASSPATH):$(CLASSPATH) \
		BookMaker $(PROGOPTS) --parameter base.dir $(XHTML_DIR)/ -xml $< -xsl $(CUSTOM_DOCBOOK_XHTML_STYLESHEET) -out $@

$(HTML_DIR)/DnI.html: $(BOOK) $(CHAPTERS) $(CUSTOM_DOCBOOK_HTML_STYLESHEET) $(BOOKMAKER_CLASS)
	[ -d $(HTML_DIR) ] || mkdir -p $(HTML_DIR)
	java $(JAVAFLAGS) \
		-classpath $(XERCESCLASSPATH):$(SAXONCLASSPATH):$(AVALONCLASSPATH):$(RESOLVERCLASSPATH):$(CLICLASSPATH):$(BOOKMAKERCLASSPATH):$(CLASSPATH) \
		BookMaker $(PROGOPTS) --parameter base.dir $(HTML_DIR)/ -xml $< -xsl $(CUSTOM_DOCBOOK_HTML_STYLESHEET) -out $@

$(PDF_DIR)/DnI.fo:  $(BOOK) $(CHAPTERS) $(CUSTOM_DOCBOOK_FO_STYLESHEET) $(BOOKMAKER_CLASS)
	[ -d $(PDF_DIR) ] || mkdir -p $(PDF_DIR)
	java $(JAVAFLAGS) \
		-classpath $(XERCESCLASSPATH):$(SAXONCLASSPATH):$(AVALONCLASSPATH):$(RESOLVERCLASSPATH):$(CLICLASSPATH):$(BOOKMAKERCLASSPATH):$(CLASSPATH) \
		BookMaker $(PROGOPTS) -xml $< -xsl $(CUSTOM_DOCBOOK_FO_STYLESHEET) -out $@

$(PDF_DIR)/DnI.pdf: $(BOOK) $(CHAPTERS) $(CUSTOM_DOCBOOK_FO_STYLESHEET) $(BOOKMAKER_CLASS)
	[ -d $(PDF_DIR) ] || mkdir -p $(PDF_DIR)
	java $(JAVAFLAGS) \
		-classpath $(XERCESCLASSPATH):$(SAXONCLASSPATH):$(FOPCLASSPATH):$(AVALONCLASSPATH):$(RESOLVERCLASSPATH):$(CLICLASSPATH):$(BOOKMAKERCLASSPATH):$(CLASSPATH) \
		BookMaker $(PROGOPTS) -xml $< -xsl $(CUSTOM_DOCBOOK_FO_STYLESHEET) -pdf $@

$(BOOKMAKERCLASSPATH)/%.class: %.java
	[ -d $(BOOKMAKERCLASSPATH) ] || mkdir -p $(BOOKMAKERCLASSPATH)
	javac -classpath $(FOPCLASSPATH):$(AVALONCLASSPATH):$(RESOLVERCLASSPATH):$(CLICLASSPATH):$(CLASSPATH) \
		-d $(BOOKMAKERCLASSPATH) $<

############################ distribution file #########################

CURRENT_DIR=documentation

zip: documentation.zip

documentation.zip: $(BOOK) $(CHAPTERS) $(STYLESHEETS) $(BOOKMAKER) Makefile README
	-rm -f $@
	cd .. && zip $(CURRENT_DIR)/$@ ${^:%=$(CURRENT_DIR)/%}

############################ test section ###############################

TEST=test.xml
TEST_CHAPTERS=getnextbreakposs.xml overview.xml 

test-saxon.html: $(TEST) $(TEST_CHAPTERS) $(CUSTOM_DOCBOOK_HTML_STYLESHEET) $(BOOKMAKER_CLASS)
	java $(JAVAFLAGS) -classpath $(XERCESCLASSPATH):$(SAXONCLASSPATH):$(AVALONCLASSPATH):$(RESOLVERCLASSPATH):$(CLICLASSPATH):$(BOOKMAKERCLASSPATH):$(CLASSPATH) BookMaker $(PROGOPTS) --parameter base.dir $(HTML_DIR)/ -xml $< -xsl $(CUSTOM_DOCBOOK_HTML_STYLESHEET) -out $@

test-saxon.xhtml: $(TEST) $(TEST_CHAPTERS) $(CUSTOM_DOCBOOK_XHTML_STYLESHEET) $(BOOKMAKER_CLASS)
	java $(JAVAFLAGS) -classpath $(XERCESCLASSPATH):$(SAXONCLASSPATH):$(AVALONCLASSPATH):$(RESOLVERCLASSPATH):$(CLICLASSPATH):$(BOOKMAKERCLASSPATH):$(CLASSPATH) BookMaker $(PROGOPTS) --parameter base.dir $(XHTML_DIR)/ -xml $< -xsl $(CUSTOM_DOCBOOK_XHTML_STYLESHEET) -out $@

test-saxon.fo: $(TEST) $(TEST_CHAPTERS) $(CUSTOM_DOCBOOK_FO_STYLESHEET) $(BOOKMAKER_CLASS)
	java $(JAVAFLAGS) -classpath $(XERCESCLASSPATH):$(SAXONCLASSPATH):$(AVALONCLASSPATH):$(RESOLVERCLASSPATH):$(CLICLASSPATH):$(BOOKMAKERCLASSPATH):$(CLASSPATH) BookMaker $(PROGOPTS) -xml $< -xsl $(CUSTOM_DOCBOOK_FO_STYLESHEET) -out $@

test-saxon.pdf: $(TEST) $(TEST_CHAPTERS) $(CUSTOM_DOCBOOK_FO_STYLESHEET) $(BOOKMAKER_CLASS)
	java $(JAVAFLAGS) -classpath $(XERCESCLASSPATH):$(SAXONCLASSPATH):$(FOPCLASSPATH):$(AVALONCLASSPATH):$(RESOLVERCLASSPATH):$(CLICLASSPATH):$(BOOKMAKERCLASSPATH):$(CLASSPATH) BookMaker $(PROGOPTS) -xml $< -xsl $(CUSTOM_DOCBOOK_FO_STYLESHEET) -pdf $@

test-saxon-stf.pdf: $(TEST) $(TEST_CHAPTERS) $(CUSTOM_DOCBOOK_FO_STYLESHEET) $(BOOKMAKER_CLASS)
	java $(JAVAFLAGS) -classpath $(XERCESCLASSPATH):$(SAXONCLASSPATH):$(FOPCLASSPATH):$(AVALONCLASSPATH):$(RESOLVERCLASSPATH):$(CLICLASSPATH):$(BOOKMAKERCLASSPATH):$(CLASSPATH) XML2PDF_STF $(PROGOPTS) -xml $< -xsl $(CUSTOM_DOCBOOK_FO_STYLESHEET) -pdf $@

test-xalan.html: $(TEST) $(TEST_CHAPTERS) $(CUSTOM_DOCBOOK_HTML_STYLESHEET) $(BOOKMAKER_CLASS)
	java $(JAVAFLAGS) -classpath $(FOPCLASSPATH):$(AVALONCLASSPATH):$(RESOLVERCLASSPATH):$(CLICLASSPATH):$(BOOKMAKERCLASSPATH):$(CLASSPATH) BookMaker $(PROGOPTS) --parameter base.dir $(HTML_DIR)/ -xml $< -xsl $(CUSTOM_DOCBOOK_HTML_STYLESHEET) -out $@

test-xalan.xhtml: $(TEST) $(TEST_CHAPTERS) $(CUSTOM_DOCBOOK_XHTML_STYLESHEET) $(BOOKMAKER_CLASS)
	java $(JAVAFLAGS) -classpath $(FOPCLASSPATH):$(AVALONCLASSPATH):$(RESOLVERCLASSPATH):$(CLICLASSPATH):$(BOOKMAKERCLASSPATH):$(CLASSPATH) BookMaker $(PROGOPTS) --parameter base.dir $(XHTML_DIR)/ -xml $< -xsl $(CUSTOM_DOCBOOK_XHTML_STYLESHEET) -out $@

test-xalan.fo: $(TEST) $(TEST_CHAPTERS) $(CUSTOM_DOCBOOK_FO_STYLESHEET) $(BOOKMAKER_CLASS)
	java $(JAVAFLAGS) -classpath $(FOPCLASSPATH):$(AVALONCLASSPATH):$(RESOLVERCLASSPATH):$(CLICLASSPATH):$(BOOKMAKERCLASSPATH):$(CLASSPATH) BookMaker $(PROGOPTS) -xml $< -xsl $(CUSTOM_DOCBOOK_FO_STYLESHEET) -out $@

test-xalan.pdf: $(TEST) $(TEST_CHAPTERS) $(CUSTOM_DOCBOOK_FO_STYLESHEET) $(BOOKMAKER_CLASS)
	java $(JAVAFLAGS) -classpath $(FOPCLASSPATH):$(AVALONCLASSPATH):$(RESOLVERCLASSPATH):$(CLICLASSPATH):$(BOOKMAKERCLASSPATH):$(CLASSPATH) BookMaker $(PROGOPTS) -xml $< -xsl $(CUSTOM_DOCBOOK_FO_STYLESHEET) -pdf $@

test-xalan-stf.pdf: $(TEST) $(TEST_CHAPTERS) $(CUSTOM_DOCBOOK_FO_STYLESHEET) $(BOOKMAKER_CLASS)
	java $(JAVAFLAGS) -classpath $(FOPCLASSPATH):$(AVALONCLASSPATH):$(RESOLVERCLASSPATH):$(CLICLASSPATH):$(BOOKMAKERCLASSPATH):$(CLASSPATH) XML2PDF_STF $(PROGOPTS) -xml $< -xsl $(CUSTOM_DOCBOOK_FO_STYLESHEET) -pdf $@

## fop 0.95.dfsg

=== debian/changelog ===
fop (1:0.95.dfsg-11) unstable; urgency=low

  * Fix StackOverflowError in Java. Closes: #577069

 -- Mathieu Malaterre <mathieu.malaterre@gmail.com>  Mon, 12 Apr 2010 09:53:37 +0200

fop (1:0.95.dfsg-10) unstable; urgency=low

  * Pull in new patch from Mathieu Malaterre <mathieu.malaterre@gmail.com>
    to really fix the segfaults with anchors (closes: #570095)
  * Drop dependency on headed packages (closes: #551294)
  * Refreshed old patches and switch to using the full 3.0 (quilt) power

 -- Vincent Fourmond <fourmond@debian.org>  Sat, 06 Mar 2010 21:02:37 +0100

fop (1:0.95.dfsg-9) unstable; urgency=low

  * Added Maven support
  * d/copyright:
    - converted to DEP5 format
    - added debian/pom.xml section
  * Fixed Vcs-Svn field
  * Standards-Version to 3.8.4
  * Source format 3.0 (quilt)
  * Removed Arnaud Vandyck from Uploaders

 -- Gabriele Giacone <1o5g4r8o@gmail.com>  Sun, 21 Feb 2010 16:25:33 +0100

fop (1:0.95.dfsg-8) experimental; urgency=low

  * Added 02_fix_segfault_with_anchors, patch courtesy of Brian M. Carlson
    <sandals@crustytoothpaste.ath.cx> to stop fop from choking on
    anchors. (closes: #570095)

 -- Vincent Fourmond <fourmond@debian.org>  Thu, 18 Feb 2010 22:27:52 +0100

fop (1:0.95.dfsg-7) unstable; urgency=low

  * Change of my email address since I am DD
  * Updated Standards-Version to 3.8.3
  * openjdk-6-jdk => default-jdk (build)
  * openjdk-6-jre => default-jre (runtime)
  * DM-Upload-Allowed removed

 -- Sylvestre Ledru <sylvestre@debian.org>  Sat, 28 Nov 2009 10:28:06 +0100

fop (1:0.95.dfsg-6) unstable; urgency=low

  * Add support for reading configuration files in the wrapper script.
    (again: closes: #526092)

 -- Vincent Fourmond <fourmond@debian.org>  Tue, 12 May 2009 22:46:51 +0200

fop (1:0.95.dfsg-5) unstable; urgency=low

  [ Onkar Shinde ]
  * debian/patches
    - 01_from_svn_16_bit_alpha_png.patch - Change from upstream svn to fix
      reading of .png files with 16-bit alpha channel. (Closes: #524883)
  * debian/README.Debian
    - fop no longer uses/supports JIMI/JAI image processing libraries. Remove
      sections from readme that mention JIMI/JAI. (Closes: #523170)

  [ Vincent Fourmond ]
  * fop can again make use of hyphenation jars (closes: #526092). Thanks
    to Paul Millar <paul.millar@desy.de> for explaining the problem and
    providing the solution.
  * Tighten dependency on java-wrappers, as only version 0.1.15 provides
    non-buggy support for absolute path in find_jars
  * Already conforms to standards 3.8.1

 -- Vincent Fourmond <fourmond@debian.org>  Mon, 11 May 2009 21:21:39 +0200

fop (1:0.95.dfsg-4) unstable; urgency=low

  * Recommends libsaxon-java in order to process png files 
    (Closes: #508400)
  * debian/libfop-java* removed (replaced by fop)
  * conf/fop.xconf is now installed in /usr/share/doc/fop (Closes: #498629)

 -- Sylvestre Ledru <sylvestre.ledru@inria.fr>  Fri, 27 Feb 2009 15:47:17 +0100

fop (1:0.95.dfsg-3) unstable; urgency=low

  * Time for an upload in unstable

 -- Sylvestre Ledru <sylvestre.ledru@inria.fr>  Sat, 21 Feb 2009 12:37:07 +0100

fop (1:0.95.dfsg-2) experimental; urgency=low

  * Tighten up depencies on libxmlgraphics-commons-java and add xml-apis-ext
    to the wrapper script (closes: #505582)
  * Depends on libxml-commons-external-java use openjdk-jre-6 as
    'preferred' JVM (I'm not sure it will run on non-Sun runtime), thanks 
    to Kobayashi Noritada <nori1@dolphin.c.u-tokyo.ac.jp> for spotting and for 
    advice (closes: 508485)
  * Add ${misc:Depends} for possible dh_*-added dependencies, with 
    the side benefits that it makes lintian happy !

 -- Vincent Fourmond <fourmond@debian.org>  Thu, 11 Dec 2008 21:09:32 +0100

fop (1:0.95.dfsg-1) experimental; urgency=low

  [ Sylvestre Ledru ]
  * New upstream version (Closes: #494041)
  * Section change in fop-doc.doc-base from contrib/libs => Text to make 
    lintian happier
  * Dependencies removed (Closes: #229079, #271654)
  * Update of the JAVA_HOME in debian/ant.properties (Closes: #492322)
  * Updated Standards-Version to 3.8.0
  * Homepage, Vcs-Svn, Vcs-Browser & DM-Upload-Allowed added
  * Switch to openJDK
  * Script orig-tar.sh to repack the archive (rm -rf lib/*)
  * Update of the copyright file (fop changed to Apache 2)
  * Add myself as uploader.

  [ Michael Koch ]
  * Fixed watch file for changed upstream location.

  [ Vincent Fourmond ]
  * Added myself to uploaders
  * There are no reasons to keep fop in contrib now that batik and
    xml-graphics-common are in main
  * Tighten up dependencies of fop on batik 1.7
  * Convert fop.sh to java-wrappers

  [ Torsten Werner ]
  * Implement target get-orig-source in debian/rules.
  * Add myself to Uploaders.
  * Update Build-Depends: libxmlgraphics-commons-java (>= 1.3).
  * Fix debian/*.pod files.
  * Fix versioned Depends: java-wrappers.

  [ Vincent Fourmond ]
  * Convert fop-ttfreader.sh to java-wrappers
  * Updated all manual pages so they now reference java-wrappers(7)

 -- Vincent Fourmond <fourmond@debian.org>  Sat, 18 Oct 2008 20:43:44 +0200

fop (1:0.94.dfsg-2) unstable; urgency=low

  * Fixed name of versioned jar.

 -- Michael Koch <konqueror@gmx.de>  Thu, 31 Jan 2008 20:29:07 +0100

fop (1:0.94.dfsg-1) unstable; urgency=low

  * New upstream version. Closes: #445349.
  * Moved debhelper and cdbs from Build-Depends-Indep to Build-Depends.
  * Removed Build-Depends on ibm-j2sdk1.5.
  * Moved fop-doc package to contrib/doc section.
  * Improved abstract in debian/fop-doc.doc-base.
  * Updated Standards-Version to 3.7.3.
  * Updated debhelper level to 5.
  * Added myself to Uploaders.
  * Added watch file.

 -- Michael Koch <konqueror@gmx.de>  Sat, 01 Dec 2007 01:20:31 +0100

fop (1:0.93.dfsg.1-2) unstable; urgency=low

  * debian/fop-ttfreader.sh: updated to include commons-logging and
    commons-io (closes: #426476). Thanks to Michalis Kamburelis

 -- Arnaud Vandyck <avdyk@debian.org>  Tue, 29 May 2007 21:37:55 +0200



=== debian/control ===
Source: fop
Section: text
Priority: optional
Maintainer: Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>
DM-Upload-Allowed: yes
Uploaders: Michael Koch <konqueror@gmx.de>, Sylvestre Ledru <sylvestre@debian.org>,
 Vincent Fourmond <fourmond@debian.org>, Torsten Werner <twerner@debian.org>,
 Mathieu Malaterre <mathieu.malaterre@gmail.com>
Build-Depends: debhelper (>= 5), cdbs (>= 0.4.27)
Build-Depends-Indep: ant-optional, libbatik-java (>= 1.7),
 libavalon-framework-java (>=4.1.2-2), libxalan2-java,
 libxerces2-java, default-jdk, libcommons-io-java,
 libcommons-logging-java, junit, libxmlgraphics-commons-java (>= 1.3),
 libservlet2.4-java, libxml-commons-external-java, maven-repo-helper
Standards-Version: 3.8.4
Homepage: http://xmlgraphics.apache.org/fop/
Vcs-Svn: svn://svn.debian.org/svn/pkg-java/trunk/fop
Vcs-Browser: http://svn.debian.org/viewsvn/pkg-java/trunk/fop/

Package: fop
Architecture: all
Depends: default-jre-headless | java2-runtime-headless,
 libxerces2-java, libxalan2-java, libbsf-java,
 libavalon-framework-java (>=4.1.2-2), libbatik-java (>= 1.7),
 libcommons-io-java, libcommons-logging-java, libxp6, libxt6,
 libxtst6, libxmlgraphics-commons-java (>= 1.3.1), 
 java-wrappers (>= 0.1.15), libxml-commons-external-java,
 ${misc:Depends}
Recommends: libsaxon-java
Suggests: fop-doc, libservlet2.4-java
Replaces: libfop-java
Description: XML to PDF Translator
 FOP is a print formatter driven by XSL formatting objects.
 It is a Java application that reads a formatting object
 tree and then turns it into a PDF document. The formatting
 object tree can be in the form of an XML document (output by
 an XSLT engine like xalan) or can be passed in memory as a DOM
 Document or (in the case of xalan) SAX events.

Package: fop-doc
Section: doc
Architecture: all
Replaces: libfop-java-doc
Depends:  ${misc:Depends}
Description: Documentation for fop
 FOP is a print formatter driven by XSL formatting objects.
 It is a Java 1.1 application that reads a formatting object
 tree and then turns it into a PDF document. The formatting
 object tree can be in the form of an XML document (output by
 an XSLT engine like xalan) or can be passed in memory as a DOM
 Document or (in the case of xalan) SAX events.

=== debian/rules ===
#!/usr/bin/make -f
# debian/rules for FOP (uses CDBS)

include /usr/share/cdbs/1/rules/debhelper.mk
# include /usr/share/cdbs/1/rules/simple-patchsys.mk
include /usr/share/cdbs/1/class/ant.mk

JAVA_HOME            := /usr/lib/jvm/java-6-openjdk
DEB_JARS             := $(ANT_HOME)/lib/ant-trax.jar batik-all xml-apis-ext batik-libs xml-apis avalon-framework xercesImpl xmlParserAPIs xalan2 junit commons-io commons-logging xmlgraphics-commons servlet-api-2.4
DEB_ANT_BUILD_TARGET := package javadocs #docs
DEB_ANT_CLEAN_TARGET := distclean
DEB_ANT_ARGS := -verbose
DEB_COMPRESS_EXCLUDE := .xconf

DOCD=debian/fop-doc/usr/share/doc/fop-doc

install/fop::
	mh_installpom -pfop $(CURDIR)/debian/pom.xml
	mh_installjar -pfop -l $(CURDIR)/debian/pom.xml \
		$(CURDIR)/build/fop.jar

	cp -a debian/fop.sh debian/fop/usr/bin/fop
	cp -a debian/fop-ttfreader.sh debian/fop/usr/bin/fop-ttfreader
	pod2man --section=1 \
		--release="Fop " \
		--date="`date`" \
		debian/fop.pod > build/fop.1

	pod2man --section=1 \
		--release="Fop-TTFReader " \
		--date="`date`" \
		debian/fop-ttfreader.pod > build/fop-ttfreader.1

install/fop-doc::
	-mkdir -p debian/fop-doc/usr/share/doc/fop-doc/html/api
	#No documentation at the moment... FORREST needed
	#cp -a build/docs/* html/
	cp -a build/javadocs/* debian/fop-doc/usr/share/doc/fop-doc/html/api/

clean::
	-rm -Rf build

get-orig-source:
	uscan --force-download --rename

=== debian/watch ===
version=3
opts=dversionmangle=s/\.dfsg// \
http://www.apache.org/dist/xmlgraphics/fop/source/fop-([\d\.]+)-src.tar.gz \
debian debian/orig-tar.sh

## fop 1.0.dfsg

=== debian/changelog ===
fop (1:1.0.dfsg-3) experimental; urgency=low

  * Upload with the explicit dependency against xmlgraphics-commons on the fop
    binary package (Closes: #594719)
  * Standards-Version updated to version 3.9.1

  [ Mathieu Malaterre ]
  * Race condition in using ICC_Profile from java awt. Closes: #589624
  * footnote inside varlistentry is not rendered in PDF. Closes: #451258

 -- Sylvestre Ledru <sylvestre@debian.org>  Sun, 12 Sep 2010 13:20:26 +0200

fop (1:1.0.dfsg-2) experimental; urgency=low

  * fop 1.0 requires xmlgraphics-commons >= 1.4

 -- Mathieu Malaterre <mathieu.malaterre@gmail.com>  Mon, 19 Jul 2010 10:07:53 +0200

fop (1:1.0.dfsg-1) experimental; urgency=low

  * New upstream. Closes: #588895

 -- Mathieu Malaterre <mathieu.malaterre@gmail.com>  Fri, 09 Jul 2010 17:50:05 +0200

=== debian/control ===
--- 
+++ 
@@ -10,9 +10,9 @@
 Build-Depends-Indep: ant-optional, libbatik-java (>= 1.7),
  libavalon-framework-java (>=4.1.2-2), libxalan2-java,
  libxerces2-java, default-jdk, libcommons-io-java,
- libcommons-logging-java, junit, libxmlgraphics-commons-java (>= 1.3),
+ libcommons-logging-java, junit, libxmlgraphics-commons-java (>= 1.4),
  libservlet2.4-java, libxml-commons-external-java, maven-repo-helper
-Standards-Version: 3.8.4
+Standards-Version: 3.9.1
 Homepage: http://xmlgraphics.apache.org/fop/
 Vcs-Svn: svn://svn.debian.org/svn/pkg-java/trunk/fop
 Vcs-Browser: http://svn.debian.org/viewsvn/pkg-java/trunk/fop/
@@ -23,7 +23,7 @@
  libxerces2-java, libxalan2-java, libbsf-java,
  libavalon-framework-java (>=4.1.2-2), libbatik-java (>= 1.7),
  libcommons-io-java, libcommons-logging-java, libxp6, libxt6,
- libxtst6, libxmlgraphics-commons-java (>= 1.3.1), 
+ libxtst6, libxmlgraphics-commons-java (>= 1.4),
  java-wrappers (>= 0.1.15), libxml-commons-external-java,
  ${misc:Depends}
 Recommends: libsaxon-java

## fop 1.0.dfsg2

=== debian/changelog ===
fop (1:1.0.dfsg2-5) unstable; urgency=low

  * Need ant 1.8.2 at least update d/control.
  * Fix NPE in inline element. Closes: #649476
  * Fix IllegalArgumentException. Closes: #646141

 -- Mathieu Malaterre <mathieu.malaterre@gmail.com>  Tue, 03 Jan 2012 14:44:06 +0100

fop (1:1.0.dfsg2-4) unstable; urgency=low

  * Migrate fop to use libservlet2.5-java. Closes: #646088
  * Updating the fop Uploaders list. Closes: #654018
  * Update VCS urls.

 -- Mathieu Malaterre <mathieu.malaterre@gmail.com>  Mon, 02 Jan 2012 11:12:37 +0100

fop (1:1.0.dfsg2-3) unstable; urgency=low

  * Fix misrender issue. Closes: #610344
  * Remove qdox.jar copy from source tree
  * Properly fix logging option. Closes: #575411

 -- Mathieu Malaterre <mathieu.malaterre@gmail.com>  Sun, 11 Sep 2011 15:01:03 +0200

fop (1:1.0.dfsg2-2) unstable; urgency=low

  [ Mathieu Malaterre ]
  * Fix issue with qdox. Closes: #639162
    - Also dump exception for verbosity

  [ Miguel Landaeta ]
  * Add mh_clean call in clean target. (Closes: #639515).

 -- Mathieu Malaterre <mathieu.malaterre@gmail.com>  Thu, 25 Aug 2011 15:35:55 +0200

fop (1:1.0.dfsg2-1) unstable; urgency=low

  [ Sylvestre Ledru ]
  * Upload to unstable
  * Dependency on libxp removed (Closes: #623639)
  * Standards-Version updated to version 3.9.2
  * Description updated. Thanks to Ivan Shmakov (Closes: #604008)

  [ Vincent Fourmond ]
  * NativeTextHandler is now properly redefined (closes: #626069)
  * Reupload with a tarball cleaned of upstream JAR files (closes: #625869)
    - add a lib/build directory as dirty workaround for a missing dir
    - add libqdox-java as build dependency

  [ Mathieu Malaterre ]
  * Revert changelog numbering to please tar script
  * Fix JAVA_HOME value in debian/rules 
  * Fix qdox 1.12 build failure. Closes: #638532

 -- Sylvestre Ledru <sylvestre@debian.org>  Mon, 22 Aug 2011 18:06:46 +0200

=== debian/control ===
Source: fop
Section: text
Priority: optional
Maintainer: Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>
DM-Upload-Allowed: yes
Uploaders: Sylvestre Ledru <sylvestre@debian.org>,
           Torsten Werner <twerner@debian.org>,
           Mathieu Malaterre <mathieu.malaterre@gmail.com>,
           Vincent Fourmond <fourmond@debian.org>
Build-Depends: debhelper (>= 5), cdbs (>= 0.4.27)
Build-Depends-Indep: ant-optional (>= 1.8.2), libbatik-java (>= 1.7),
 libavalon-framework-java (>=4.1.2-2), libxalan2-java,
 libxerces2-java, default-jdk, libcommons-io-java, libxmlunit-java,
 libcommons-logging-java, junit, libxmlgraphics-commons-java (>= 1.4),
 libservlet2.5-java, libxml-commons-external-java, maven-repo-helper, libqdox-java
Standards-Version: 3.9.2
Homepage: http://xmlgraphics.apache.org/fop/
Vcs-Svn: svn://svn.debian.org/pkg-java/trunk/fop
Vcs-Browser: http://anonscm.debian.org/viewvc/pkg-java/trunk/fop/

Package: fop
Architecture: all
Depends: default-jre-headless | java2-runtime-headless,
 libxerces2-java, libxalan2-java, libbsf-java,
 libavalon-framework-java (>=4.1.2-2), libbatik-java (>= 1.7),
 libcommons-io-java, libcommons-logging-java, libxt6,
 libxtst6, libxmlgraphics-commons-java (>= 1.4),
 java-wrappers (>= 0.1.15), libxml-commons-external-java,
 ${misc:Depends}
Recommends: libsaxon-java
Suggests: fop-doc, libservlet2.5-java
Replaces: libfop-java
Description: XML formatter driven by XSL Formatting Objects (XSL-FO.)
 FOP is a Java application that reads a formatting object tree and then
 turns it into a wide variety of output presentations (including AFP,
 PCL, PDF, PNG, PostScript, RTF, TIFF, and plain text), or displays
 the result on-screen.
 .
 The formatting object tree can be in the form of an XML document
 (output by an XSLT engine like xalan) or can be passed in memory as a
 DOM Document or (in the case of xalan) SAX events.

Package: fop-doc
Section: doc
Architecture: all
Replaces: libfop-java-doc
Depends:  ${misc:Depends}
Description: XML formatter driven by XSL Formatting Objects (doc)
 FOP is a Java application that reads a formatting object tree and then
 turns it into a wide variety of output presentations (including AFP,
 PCL, PDF, PNG, PostScript, RTF, TIFF, and plain text), or displays
 the result on-screen.
 .
 The formatting object tree can be in the form of an XML document
 (output by an XSLT engine like xalan) or can be passed in memory as a
 DOM Document or (in the case of xalan) SAX events.
 .
 This package contains the documentation.

=== debian/rules ===
--- 
+++ 
@@ -2,17 +2,21 @@
 # debian/rules for FOP (uses CDBS)
 
 include /usr/share/cdbs/1/rules/debhelper.mk
-# include /usr/share/cdbs/1/rules/simple-patchsys.mk
 include /usr/share/cdbs/1/class/ant.mk
 
-JAVA_HOME            := /usr/lib/jvm/java-6-openjdk
-DEB_JARS             := $(ANT_HOME)/lib/ant-trax.jar batik-all xml-apis-ext batik-libs xml-apis avalon-framework xercesImpl xmlParserAPIs xalan2 junit commons-io commons-logging xmlgraphics-commons servlet-api-2.4
-DEB_ANT_BUILD_TARGET := package javadocs #docs
+JAVA_HOME            := /usr/lib/jvm/default-java
+DEB_JARS             := batik-all xml-apis-ext batik-libs xml-apis avalon-framework xercesImpl xmlParserAPIs xalan2 junit commons-io commons-logging xmlgraphics-commons servlet-api-2.5 # ant-junit junit xmlunit
+DEB_ANT_BUILD_TARGET := package javadocs #junit #docs
 DEB_ANT_CLEAN_TARGET := distclean
 DEB_ANT_ARGS := -verbose
 DEB_COMPRESS_EXCLUDE := .xconf
 
 DOCD=debian/fop-doc/usr/share/doc/fop-doc
+
+pre-build::
+	# http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=639162#24
+	# For this reason qdox is not listed in DEB_JARS
+	test -h /usr/share/java/qdox.jar && cp -L /usr/share/java/qdox.jar lib/build
 
 install/fop::
 	mh_installpom -pfop $(CURDIR)/debian/pom.xml
@@ -39,6 +43,9 @@
 
 clean::
 	-rm -Rf build
+	mkdir -p lib/build
+	rm -f lib/build/qdox.jar
+	mh_clean
 
 get-orig-source:
 	uscan --force-download --rename

## fop 1.1.dfsg

=== debian/changelog ===
fop (1:1.1.dfsg-2ubuntu1) saucy; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    -  Transition libservlet2.5-java -> libservlet3.0-java.

 -- James Page <james.page@ubuntu.com>  Tue, 21 May 2013 12:21:26 +0100

fop (1:1.1.dfsg-2) unstable; urgency=low

  * Upload to sid
  * Make sure fop install correct libfop-java version
  * fop now required qdox >= 1.12 to build
  * Bump Std-Vers to 3.9.4, no changes needed
  * Remove servlet-api from fop.sh. Closes: #671273
  * Use newer d/watch (HowToHelpWithFixingWatchFiles)

 -- Mathieu Malaterre <malat@debian.org>  Thu, 16 May 2013 10:39:12 +0200

fop (1:1.1.dfsg-1) experimental; urgency=low

  * New upstream. Closes: #691474
  * Use my @d.o alias, remove DMUA flags
  * Bump Std-Vers to 3.9.3, no changes needed
  * Remove patches applied upstream:
    - d/p/enco.patch
    - d/p/enco2.patch
    - d/p/fixnpeinlinestacking.patch
    - d/p/illegalargex.patch
  * d/control: now requires xmlgraphics-commons >= 1.5

 -- Mathieu Malaterre <malat@debian.org>  Sat, 03 Nov 2012 15:35:23 +0100

fop (1:1.0.dfsg2-6ubuntu1) quantal; urgency=low

  * Transition libservlet2.5-java -> libservlet3.0-java (LP: #1023405).

 -- James Page <james.page@ubuntu.com>  Thu, 12 Jul 2012 15:13:49 +0100

fop (1:1.0.dfsg2-6build1) quantal; urgency=low

  * No-change rebuild with openjdk-7 as default-jdk.

 -- James Page <james.page@ubuntu.com>  Fri, 18 May 2012 12:11:54 +0100

fop (1:1.0.dfsg2-6) unstable; urgency=low

  [ Mathieu Malaterre ]
  * Support conf.d like configuration files. Closes: #630198
  * Fix fop man page (outdated). Closes: #654592, #512443
  * Split packages into fop and libfop-java. Closes: #544546

  [ Joachim Breitner ]
  * Include hyphenation patterns from TeX. Closes: #655027

 -- Mathieu Malaterre <mathieu.malaterre@gmail.com>  Sun, 15 Jan 2012 11:13:23 +0100

=== debian/control ===
Source: fop
Section: text
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>
Uploaders: Sylvestre Ledru <sylvestre@debian.org>,
           Torsten Werner <twerner@debian.org>,
           Mathieu Malaterre <malat@debian.org>,
           Vincent Fourmond <fourmond@debian.org>
Build-Depends: debhelper (>= 5), cdbs (>= 0.4.27)
Build-Depends-Indep: ant-optional (>= 1.8.2), libbatik-java (>= 1.7),
 libavalon-framework-java (>= 4.1.2-2), libxalan2-java,
 libxerces2-java, default-jdk, libcommons-io-java, libxmlunit-java,
 libcommons-logging-java, junit, libxmlgraphics-commons-java (>= 1.5),
 libservlet3.0-java, libxml-commons-external-java, maven-repo-helper, libqdox-java (>= 1.12),
 unzip
Standards-Version: 3.9.4
Homepage: http://xmlgraphics.apache.org/fop/
Vcs-Svn: svn://svn.debian.org/pkg-java/trunk/fop
Vcs-Browser: http://anonscm.debian.org/viewvc/pkg-java/trunk/fop/

Package: fop
Architecture: all
Depends: ${misc:Depends}, default-jre-headless | java2-runtime-headless, libfop-java (= ${binary:Version})
Recommends: libsaxon-java
Suggests: fop-doc, libservlet3.0-java
Description: XML formatter driven by XSL Formatting Objects (XSL-FO.)
 FOP is a Java application that reads a formatting object tree and then
 turns it into a wide variety of output presentations (including AFP,
 PCL, PDF, PNG, PostScript, RTF, TIFF, and plain text), or displays
 the result on-screen.
 .
 The formatting object tree can be in the form of an XML document
 (output by an XSLT engine like xalan) or can be passed in memory as a
 DOM Document or (in the case of xalan) SAX events.
 .
 This package contains the fop command line tool

Package: libfop-java
Section: java
Architecture: all
Replaces: fop (<< 1:1.0.dfsg2-6)
Breaks: fop (<< 1:1.0.dfsg2-6)
Depends: libxerces2-java, libxalan2-java, libbsf-java,
 libavalon-framework-java (>=4.1.2-2), libbatik-java (>= 1.7),
 libcommons-io-java, libcommons-logging-java, libxt6,
 libxtst6, libxmlgraphics-commons-java (>= 1.4),
 java-wrappers (>= 0.1.15), libxml-commons-external-java,
 ${misc:Depends}
Recommends: libsaxon-java
Description: XML formatter driven by XSL Formatting Objects (XSL-FO.)
 FOP is a Java application that reads a formatting object tree and then
 turns it into a wide variety of output presentations (including AFP,
 PCL, PDF, PNG, PostScript, RTF, TIFF, and plain text), or displays
 the result on-screen.
 .
 The formatting object tree can be in the form of an XML document
 (output by an XSLT engine like xalan) or can be passed in memory as a
 DOM Document or (in the case of xalan) SAX events.
 .
 This package contains the fop jar file

Package: fop-doc
Section: doc
Architecture: all
Replaces: libfop-java-doc
Depends:  ${misc:Depends}
Description: XML formatter driven by XSL Formatting Objects (doc)
 FOP is a Java application that reads a formatting object tree and then
 turns it into a wide variety of output presentations (including AFP,
 PCL, PDF, PNG, PostScript, RTF, TIFF, and plain text), or displays
 the result on-screen.
 .
 The formatting object tree can be in the form of an XML document
 (output by an XSLT engine like xalan) or can be passed in memory as a
 DOM Document or (in the case of xalan) SAX events.
 .
 This package contains the documentation.

## fop 1.1.dfsg2

=== debian/changelog ===
fop (1:1.1.dfsg2-1+deb8u1) jessie-security; urgency=high

  * Team upload.
  * Fixed CVE-2017-5661: Information disclosure vulnerability (Closes: #860567)

 -- Emmanuel Bourg <ebourg@apache.org>  Wed, 24 May 2017 17:35:34 +0200

fop (1:1.1.dfsg2-1) unstable; urgency=medium

  * Team upload.
  * Removed the non-free sRGB color profile and use the equivalent profile
    from the icc-profiles-free package (Closes: #657281)

 -- Emmanuel Bourg <ebourg@apache.org>  Sun, 02 Nov 2014 17:20:55 +0100

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: fop
 Section: text
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>
+Maintainer: Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>
 Uploaders: Sylvestre Ledru <sylvestre@debian.org>,
            Torsten Werner <twerner@debian.org>,
            Mathieu Malaterre <malat@debian.org>,
@@ -12,7 +11,7 @@
  libavalon-framework-java (>= 4.1.2-2), libxalan2-java,
  libxerces2-java, default-jdk, libcommons-io-java, libxmlunit-java,
  libcommons-logging-java, junit, libxmlgraphics-commons-java (>= 1.5),
- libservlet3.0-java, libxml-commons-external-java, maven-repo-helper, libqdox-java (>= 1.12),
+ libservlet2.5-java, libxml-commons-external-java, maven-repo-helper, libqdox-java (>= 1.12),
  unzip
 Standards-Version: 3.9.4
 Homepage: http://xmlgraphics.apache.org/fop/
@@ -23,7 +22,7 @@
 Architecture: all
 Depends: ${misc:Depends}, default-jre-headless | java2-runtime-headless, libfop-java (= ${binary:Version})
 Recommends: libsaxon-java
-Suggests: fop-doc, libservlet3.0-java
+Suggests: fop-doc, libservlet2.5-java
 Description: XML formatter driven by XSL Formatting Objects (XSL-FO.)
  FOP is a Java application that reads a formatting object tree and then
  turns it into a wide variety of output presentations (including AFP,
@@ -47,7 +46,7 @@
  libxtst6, libxmlgraphics-commons-java (>= 1.4),
  java-wrappers (>= 0.1.15), libxml-commons-external-java,
  ${misc:Depends}
-Recommends: libsaxon-java
+Recommends: libsaxon-java, icc-profiles-free
 Description: XML formatter driven by XSL Formatting Objects (XSL-FO.)
  FOP is a Java application that reads a formatting object tree and then
  turns it into a wide variety of output presentations (including AFP,

=== debian/rules ===
--- 
+++ 
@@ -17,18 +17,23 @@
 	# http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=639162#24
 	# For this reason qdox is not listed in DEB_JARS
 	test -h /usr/share/java/qdox.jar && cp -L /usr/share/java/qdox.jar lib/build
+	
+	unzip -j -o debian/offo-hyphenation_v2.0.zip \
+		offo-hyphenation/hyph/\* -d hyph/
+
+install/libfop-java::
+	mh_installpom -plibfop-java $(CURDIR)/debian/pom.xml
+	mh_installjar -plibfop-java -l $(CURDIR)/debian/pom.xml \
+		$(CURDIR)/build/fop.jar
+	
+	mkdir -p $(CURDIR)/debian/libfop-java/usr/share/fop/
+	cp -a $(CURDIR)/build/fop-hyph.jar $(CURDIR)/debian/libfop-java/usr/share/fop/
+
 
 install/fop::
-	mh_installpom -pfop $(CURDIR)/debian/pom.xml
-	mh_installjar -pfop -l $(CURDIR)/debian/pom.xml \
-		$(CURDIR)/build/fop.jar
-
 	cp -a debian/fop.sh debian/fop/usr/bin/fop
 	cp -a debian/fop-ttfreader.sh debian/fop/usr/bin/fop-ttfreader
-	pod2man --section=1 \
-		--release="Fop " \
-		--date="`date`" \
-		debian/fop.pod > build/fop.1
+	cp -a	debian/fop.1 build/fop.1
 
 	pod2man --section=1 \
 		--release="Fop-TTFReader " \
@@ -45,7 +50,17 @@
 	-rm -Rf build
 	mkdir -p lib/build
 	rm -f lib/build/qdox.jar
+	rm -f hyph/*.xml
 	mh_clean
+
+debian/fop.1: debian/fop.1.in
+	help2man --no-info --version-option=-version --no-discard-stderr --include=debian/fop.1.in --output=debian/fop.1 fop
+	sed -i -e 's/^USAGE$$/.SH SYNOPSIS/' debian/fop.1
+	sed -i -e 's/^\[OPTIONS\]$$/.SH OPTIONS/' debian/fop.1
+	sed -i -e 's/^\[INPUT\]$$/.SH INPUT/' debian/fop.1
+	sed -i -e 's/^\[OUTPUT\]$$/.SH OUTPUT/' debian/fop.1
+	sed -i -e 's/^\[Examples\]$$/.SH EXAMPLES/' debian/fop.1
+	sed -i -e 's/^fop .*$$/\n&/' debian/fop.1
 
 get-orig-source:
 	uscan --force-download --rename

=== debian/watch ===
version=3
opts=dversionmangle=s/(\d)[\+\.\-~](?:dfsg|debian|ds|repack)\.?\d*$/$1/,uversionmangle=s/(\db?)[_\-\.](src)$/$1/ \
http://www.apache.org/dist/xmlgraphics/fop/source/fop[\-\._]?(\d\S*)\.(?:tar\.xz|txz|tar\.bz2|tbz2|tar\.gz|tgz) \
debian debian/orig-tar.sh

## fop 1.1.dfsg-2ubuntu1+7.0trisquel1

=== debian/changelog ===
fop (1:1.1.dfsg-2ubuntu1+7.0trisquel1) belenos; urgency=medium

  * Use a free sRGB icc profile

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Wed, 01 Apr 2015 17:59:08 +0000

## fop 2.1

=== debian/changelog ===
fop (1:2.1-2) unstable; urgency=medium

  [ Sylvestre Ledru ]
  * Remove myself from the uploaders

  [ Mathieu Malaterre ]
  * Fix Couldn't find hyphenation pattern. Closes: #805472 

 -- Mathieu Malaterre <malat@debian.org>  Mon, 15 Feb 2016 08:47:55 +0100

fop (1:2.1-1) unstable; urgency=medium

  * New upstream release. Closes: #813572
  * Remove patch applied upstream:
    - debian/patches/bug799662.patch

 -- Mathieu Malaterre <malat@debian.org>  Mon, 08 Feb 2016 18:51:00 +0100

fop (1:2.0+dfsg-5) unstable; urgency=medium

  * Team upload.
  * Fixed the groupId of the avalon artifacts (Closes: #804564)

 -- Emmanuel Bourg <ebourg@apache.org>  Tue, 05 Jan 2016 15:35:09 +0100

fop (1:2.0+dfsg-4) unstable; urgency=medium

  * allow overriding logging options. Closes: #717320
  * Fix Null pointer exception. Closes: #799662

 -- Mathieu Malaterre <malat@debian.org>  Fri, 06 Nov 2015 20:29:38 +0100

fop (1:2.0+dfsg-3) unstable; urgency=medium

  * Upload to sid
  * Update d/watch to check signature.

 -- Mathieu Malaterre <malat@debian.org>  Sun, 13 Sep 2015 14:02:43 +0200

fop (1:2.0+dfsg-2) experimental; urgency=medium

  * Fix logging (default to info level).
  * Refresh patches (DEP-3 header)

 -- Mathieu Malaterre <malat@debian.org>  Sun, 16 Aug 2015 13:55:19 +0200

fop (1:2.0+dfsg-1) experimental; urgency=medium

  * New upstream. Closes: #792132
  * Transition to libservlet3.0-java. Closes: #709178 
  * Bump Std-Vers to 3.9.6, no changes needed
  * Remove old Breaks/Replace (oldstable version)
  * Update d/watch to use d/copyright File-Excluded
  * Fix some lintian warnings

 -- Mathieu Malaterre <malat@debian.org>  Thu, 16 Jul 2015 21:55:30 +0200

fop (1:1.1.dfsg2-2) unstable; urgency=medium

  * Fix hyphenation issue. Closes: #780579

 -- Mathieu Malaterre <malat@debian.org>  Sat, 11 Jul 2015 21:25:11 +0200

=== debian/control ===
Source: fop
Section: text
Priority: optional
Maintainer: Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>
Uploaders: Torsten Werner <twerner@debian.org>,
           Mathieu Malaterre <malat@debian.org>,
           Vincent Fourmond <fourmond@debian.org>
Build-Depends: cdbs (>= 0.4.27), debhelper (>= 5)
Build-Depends-Indep: ant-optional (>= 1.8.2),
                     default-jdk,
                     junit4,
                     libavalon-framework-java (>= 4.1.2-2),
                     libbatik-java (>= 1.8),
                     libcommons-io-java,
                     libcommons-logging-java,
                     libfontbox-java,
                     libmockito-java,
                     libqdox-java (>= 1.12),
                     libservlet3.0-java,
                     libxalan2-java,
                     libxerces2-java,
                     libxml-commons-external-java,
                     libxmlgraphics-commons-java (>= 2.1),
                     libxmlunit-java,
                     maven-repo-helper,
                     unzip
Standards-Version: 3.9.6
Homepage: http://xmlgraphics.apache.org/fop/
Vcs-Svn: svn://anonscm.debian.org/pkg-java/trunk/fop
Vcs-Browser: http://anonscm.debian.org/viewvc/pkg-java/trunk/fop/

Package: fop
Architecture: all
Depends: default-jre-headless | java2-runtime-headless,
         libfop-java (= ${binary:Version}),
         ${misc:Depends}
Recommends: libsaxon-java
Suggests: fop-doc
Description: XML formatter driven by XSL Formatting Objects (XSL-FO.) - app
 FOP is a Java application that reads a formatting object tree and then
 turns it into a wide variety of output presentations (including AFP,
 PCL, PDF, PNG, PostScript, RTF, TIFF, and plain text), or displays
 the result on-screen.
 .
 The formatting object tree can be in the form of an XML document
 (output by an XSLT engine like xalan) or can be passed in memory as a
 DOM Document or (in the case of xalan) SAX events.
 .
 This package contains the fop command line tool

Package: libfop-java
Section: java
Architecture: all
Depends: java-wrappers (>= 0.1.15),
         libavalon-framework-java (>= 4.1.2-2),
         libbatik-java (>= 1.8),
         libbsf-java,
         libcommons-io-java,
         libcommons-logging-java,
         libfontbox-java,
         libxalan2-java,
         libxerces2-java,
         libxml-commons-external-java,
         libxmlgraphics-commons-java (>= 2.1),
         libxt6,
         libxtst6,
         ${misc:Depends}
Recommends: icc-profiles-free, libsaxon-java
Description: XML formatter driven by XSL Formatting Objects (XSL-FO.) - libs
 FOP is a Java application that reads a formatting object tree and then
 turns it into a wide variety of output presentations (including AFP,
 PCL, PDF, PNG, PostScript, RTF, TIFF, and plain text), or displays
 the result on-screen.
 .
 The formatting object tree can be in the form of an XML document
 (output by an XSLT engine like xalan) or can be passed in memory as a
 DOM Document or (in the case of xalan) SAX events.
 .
 This package contains the fop jar file

Package: fop-doc
Section: doc
Architecture: all
Replaces: libfop-java-doc
Depends: ${misc:Depends}
Description: XML formatter driven by XSL Formatting Objects (doc) - doc
 FOP is a Java application that reads a formatting object tree and then
 turns it into a wide variety of output presentations (including AFP,
 PCL, PDF, PNG, PostScript, RTF, TIFF, and plain text), or displays
 the result on-screen.
 .
 The formatting object tree can be in the form of an XML document
 (output by an XSLT engine like xalan) or can be passed in memory as a
 DOM Document or (in the case of xalan) SAX events.
 .
 This package contains the documentation.

=== debian/rules ===
--- 
+++ 
@@ -5,7 +5,7 @@
 include /usr/share/cdbs/1/class/ant.mk
 
 JAVA_HOME            := /usr/lib/jvm/default-java
-DEB_JARS             := batik-all xml-apis-ext batik-libs xml-apis avalon-framework xercesImpl xmlParserAPIs xalan2 junit commons-io commons-logging xmlgraphics-commons servlet-api-2.5 # ant-junit junit xmlunit
+DEB_JARS             := batik-all xml-apis-ext batik-libs xml-apis avalon-framework xercesImpl xmlParserAPIs xalan2 junit commons-io commons-logging xmlgraphics-commons servlet-api-3.0 fontbox # ant-junit junit xmlunit mockito-core
 DEB_ANT_BUILD_TARGET := package javadocs #junit #docs
 DEB_ANT_CLEAN_TARGET := distclean
 DEB_ANT_ARGS := -verbose
@@ -18,7 +18,7 @@
 	# For this reason qdox is not listed in DEB_JARS
 	test -h /usr/share/java/qdox.jar && cp -L /usr/share/java/qdox.jar lib/build
 	
-	unzip -j -o debian/offo-hyphenation_v2.0.zip \
+	unzip -j -o debian/offo-hyphenation_v2.1.zip \
 		offo-hyphenation/hyph/\* -d hyph/
 
 install/libfop-java::

=== debian/watch ===
version=3
opts=pgpsigurlmangle=s/$/.asc/ \
http://www.apache.org/dist/xmlgraphics/fop/source/fop[\-\._]?(\d\S*)\-src\.(?:tar\.xz|txz|tar\.bz2|tbz2|tar\.gz|tgz)
